Trate de captura de congelación programa de evitar en JavaScript

En este artículo, vamos a aprender sobre el bloque tratar de class con un programa de conversión de divisas .

Hay siempre ha habido momentos en los que cometen errores (que es una cosa buena a veces) el cual causa para congelar el programa, el programa se ejecutará a la línea donde se encuentra el error, entonces se congelará (caída) del programa seguramente nadie uno quiere. Así que hay un montón de maneras y una de ellas es “tratar catch” .

Ejemplo:

const convertToRs = (dollar) => dollar * 65
let myValue = convertToRs(5)
console.log(myValue);

salida

325

El código anterior se utilizó flecha funciones (es decir: FUNCIONES DE FLECHA ) tener un error potencial, ahora vamos a echar un catch donde un usuario obtiene de entrada ‘€ 5’ en lugar de ‘5’ , entonces, ¿qué va a pasar?

const convertToRs = (dollar) => dollar * 65
let myValue = convertToRs('')
console.log(myValue)

salida

NaN

Obviamente, no queremos que lo que tenemos que probar algo.

Una cosa que podemos hacer es comprobar el tipo del valor del dólar usando if … else ser un número en lugar de otra cosa. Veamos un ejemplo:

const convertToRs = (dollar) =>{
if (typeof dollar === 'number')
return dollar*65
else{
throw Error('Type of input is wrong')
}
}
let myValue = convertToRs('')
console.log(myValue);
console.log('This is the end');

salida

Try Catch to avoid program freeze in JavaScript - 4

Explicación:

Así en el ejemplo anterior, si utilizamos … más para comparar la typeof dólar a número, si bien es cierto entonces será calcular la respuesta requerida, pero si es falso entonces será case un error . Catch palabra clave utilizada para Catch los errores definidos por el usuario, podemos simplemente catch ‘tipo de entrada que está mal’, pero se puede hacer uso de un registro de la consola también, así que lo que el punto de utilizar class el error, así que utilizamos un error () un error throw . En la salida, podemos ver la primera línea es la ruta del programa y, al fin, la mencionada línea de donde se lanzó el error. Esta es una gran manera de llegar a entender un error, pero sin un bloque Throw, nuestro programa se congelará en este punto. Observe el último registro de la consola nunca llegan como una salida. Así que vamos a utilizar prueba- throw en la siguiente sección:

Ejemplo:

const convertToRs = (dollar) =>{
if (typeof dollar === 'number')
return dollar*65
else{
throw Error('Type of input is wrong')
}
}
try{
letmyValue = convertToRs('')
console.log(myValue);
}
catch (error) {
console.log(error)
}
console.log('This is the end');

salida

Try Catch to avoid program freeze in JavaScript - 5

Ahora bien, en el ejemplo anterior, ponemos esa parte del código en el tratar bloque del que esperamos algún tipo de error o excepciones. Trate de bloque throw cualquier tipo de excepción que se produce y throw bloque realmente capta que el error y evita que el programa se congele al igual que en el ejemplo anterior obtenemos el mismo tipo de mensaje de error, pero aún así, obtenemos nuestra última línea como salida significa nuestro programa ejecutar completamente sin congelación y que tiene errores.


Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *